Bug 1483068 (CVE-2017-12666) - CVE-2017-12666 ImageMagick: Memory leak in WriteINLINEImage function in coders/inline.c
Summary: CVE-2017-12666 ImageMagick: Memory leak in WriteINLINEImage function in coder...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-12666
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1483117
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-18 17:22 UTC by Pedro Sampaio
Modified: 2019-09-29 14:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:21:02 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-08-18 17:22:12 UTC
ImageMagick 7.0.6-2 has a memory leak vulnerability in WriteINLINEImage in coders/inline.c.

Upstream bug:

https://github.com/ImageMagick/ImageMagick/issues/572

Upstream patch:

https://github.com/ImageMagick/ImageMagick/commit/45aeda5da9eb328689afc221fa3b7dfa5cdea54d

References:

https://bugzilla.novell.com/show_bug.cgi?id=1052744

Comment 1 Pedro Sampaio 2017-08-18 18:55:35 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1483117]


Note You need to log in before you can comment on or make changes to this bug.